@import url('./mocha.css');

* {
  /* `otf-font-awesome` is required to be installed for icons */
  border: none;
  border-radius: 0;
  /* font-family: Inter, Ubuntu NF, FontAwesome, Roboto, Helvetica, Arial, sans-serif; */
  font-family: "Inter", "FiraCode Nerd Font";
  font-weight: 600;
  font-size: 12px;
}

window#waybar {
  background: transparent;
  /*background: rgba(21, 18, 27, 0.9);*/
  color: #e5e9f0;
  transition-property: none;
}

tooltip {
  background: #1e1e2e;
  border-radius: 10px;
  border-width: 1.5px;
  border-style: solid;
  border-color: #11111b;
  transition: 0.3s;
}

#workspaces {
  background: @base;
  border-radius: 10px;
  border: 1px solid @overlay0;
  margin-top: 3px;
}

#workspaces button {
  padding: 4px 7px;
  color: #e5e9f0;
  margin-right: 0px;
  transition: 0.2s;
}

#workspaces button.active {
  color: @crust;
  background: @peach;
  border-radius: 10px;
}

#workspaces button.focused {
  color: #a6adc8;
  background: #eba0ac;
  /*border-radius: 20px;*/
}

#workspaces button.urgent {
  color: @red;
  background: #a6e3a1;
  border-radius: 20px;
}

#workspaces button:hover {
  background: @lavender;
  color: #cdd6f4;
  border-radius: 10px;
  color: @crust;
  /*border-radius: 20px;*/
}

#custom-power_profile,
#custom-weather,
#window,
#clock,
#battery,
#pulseaudio,
#network,
#bluetooth,
#temperature,
#cpu,
#memory,
#tray,
#backlight {
  background: @base;
  opacity: 1;
  padding: 0px 14px;
  margin: 5px 0 0 0;
  border: 0px solid @overlay0;
}

#temperature {
  border-radius: 10px 0px 0px 10px;
}

#temperature.critical {
  color: @red;
}

#backlight {
  border-radius: 10px 0px 0px 10px;
  padding-left: 7px;
}

#tray {
  border-radius: 0 10px 10px 0;
  margin-right: 5px;
  padding: 0px 4px;
  border-left: 0px;
  border-color: @sapphire;
}

#custom-power_profile {
  color: #a6e3a1;
  border-left: 0px;
  border-right: 0px;
}

#window {
  border-radius: 10px;
  margin-left: 0px;
  margin-right: 0px;
}

#clock {
  color: @lavender;
  border-radius: 10px 0 0 10px;
  margin-left: 0px;
  border-right: 0px;
  transition: 0.3s;
  padding-left: 7px;
  border-color: @sapphire;
}

#network {
  color: @text;
  border-radius: 10px 0px 0px 10px;
  border-left: 0px;
  border-right: 0px;
}

#bluetooth {
  color: @blue;
  border-radius: 10px;
  margin-right: 10px
}

#pulseaudio {
  color: @blue;
  border-radius: 0px 10px 10px 0px;
}

#pulseaudio.microphone {
  color: @mauve;
  border-radius: 0px 10px 10px 0px;
  padding-right: 8px;
}

#battery {
  color: @green;
  border-radius: 10px;
  margin-right: 0px;
  border-color: @pink
}
